#include "clienti.h"



int equals(Cliente c1, Cliente c2)
{
	return strcmp(c1.ccNumber, c2.ccNumber);
}


Cliente * readClienti(char * fileName, int * dim)
{
	FILE * fp;
	Cliente * result = NULL;
	int i;
	char ch = ' ';
	Cliente temp;
	char dataTemp[6];

	*dim = 0;
	if ( (fp = fopen(fileName, "r")) == 0)
		return result;
	
	while (ch != EOF)
	{
		readField(temp.ccNumber, '@', fp);
		readField(temp.ccHolder, '@', fp);
		ch = readField(dataTemp, ' ', fp);
		(*dim)++;
	}

	rewind(fp);

	result = (Cliente *) malloc (*dim * sizeof(Cliente));
	for (i=0; i<*dim; i++)
	{
		readField(result[i].ccNumber, '@', fp);
		readField(result[i].ccHolder, '@', fp);
		readField(dataTemp, ' ', fp);
		result[i].expiryDate = shortStringToDate(dataTemp);
	}

	fclose(fp);
	return result;
}


void printCliente(Cliente c)
{
	printf("Card Number:%s\nCard Holder:%s\nExpiryDate:%d/%d/%d\n\n",
		c.ccNumber,
		c.ccHolder,
		c.expiryDate.day,
		c.expiryDate.month,
		c.expiryDate.year);
}