#include "myDates.h"

int compareInt(int a, int b)
{
	if (a>b)
		return 1;
	else
		if (a<b)
			return -1;
		else
			return 0;
}

int compare(Date d1, Date d2)
{
	if (compareInt(d1.year,d2.year) != 0)
		return compareInt(d1.year,d2.year);
	else
	{
		if (compareInt(d1.month, d2.month) != 0)
			return compareInt(d1.month, d2.month);
		else
			return compareInt(d1.day, d2.day);
	}
}



char * readToken(char * s, int * pos)
{
	int i;
	char * result;

	result = (char *) malloc (5 * sizeof(char));
	for (i=0; s[i] != '\0' && s[i] != '/' && i<4; i++)
		result[i] = s[i];
	result[i] = '\0';
	*pos = i;
	return result;
}


Date shortStringToDate(char * s)
{
	Date result;
	char *month, *year;
	int pos;

	month = readToken(s, &pos);
	result.month = atoi(month);
	free(month);

	s = s + pos + 1;
	year = readToken(s, &pos);
	result.year = 2000 + atoi(year);
	free(year);

	result.day = 1;

	return result;
}

Date longStringToDate(char *s)
{
	Date result;
	char * day, *month, *year;
	int pos;

	day = readToken(s, &pos);
	result.day = atoi(day);
	free(day);

	s = s + pos + 1;
	month = readToken(s, &pos);
	result.month = atoi(month);
	free(month);

	s = s + pos + 1;
	year = readToken(s, &pos);
	result.year = atoi(year);
	free(year);

	return result;
}


