#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include "myDates.h"
#include "readField.h"
#include "clienti.h"

#ifndef SPESA
#define SPESA

typedef struct spesaStruct {
	Date data;
	char ccNumber[17];
	float import;
	char valuta[4];
	char description[64];
} Spesa;

typedef struct item_struct
{
	Spesa value;
	struct item_struct * next;
} item;

typedef item * list;


list emptyList();
int isEmpty(list l);
list cons(Spesa newValue, list l);
Spesa head(list l);
list tail(list l);

list readSpese(char * fileName);
void printSpesa(Spesa s);
void printSpese(list l);

Spesa * selectSpese(Cliente c, list l, int * dim);

#endif